document.addEventListener('DOMContentLoaded', () => {
  const menuToggle = document.getElementById('menu-toggle');
  const nav = document.querySelector('nav ul');

  menuToggle.addEventListener('click', () => {
    nav.classList.toggle('active');
    
    const spans = menuToggle.getElementsByTagName('span');
    spans[0].style.transform = nav.classList.contains('active') ? 
      'rotate(45deg) translate(8px, 8px)' : '';
    spans[1].style.opacity = nav.classList.contains('active') ? '0' : '1';
    spans[2].style.transform = nav.classList.contains('active') ? 
      'rotate(-45deg) translate(7px, -7px)' : '';
  });

  // Smooth scrolling for anchor links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', (e) => {
      e.preventDefault();
      const target = document.querySelector(anchor.getAttribute('href'));
      target.scrollIntoView({
        behavior: 'smooth'
      });
      
      // Close mobile menu if open
      nav.classList.remove('active');
    });
  });

  // Add scroll animations
  const observer = new IntersectionObserver((entries) => {
    entries.forEach(entry => {
      if (entry.isIntersecting) {
        entry.target.style.opacity = '1';
        entry.target.style.transform = 'translateY(0)';
      }
    });
  }, { threshold: 0.1 });

  document.querySelectorAll('section').forEach(section => {
    section.style.opacity = '0';
    section.style.transform = 'translateY(20px)';
    section.style.transition = 'all 0.6s ease-out';
    observer.observe(section);
  });
});
